Delete a file
curl --request DELETE \
--url https://api.attio.com/v2/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "File with ID \"a1b2c3d4-e5f6-7890-abcd-ef1234567890\" was not found."
}Files
Delete a file
Delete a single file by ID. Deleting a folder will delete all of its descendants.
This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.
Required scopes: file:read-write, object_configuration:read, record_permission:read.
DELETE
/
v2
/
files
/
{file_id}
Delete a file
Was this page helpful?
⌘I